Package org.apache.log4j.xml

## Class XMLDecoderTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.xml.XMLDecoderTest

- All Implemented Interfaces:
    `junit.framework.Test`

      public class XMLDecoderTest
      extends junit.framework.TestCase

  Tests for XMLDecoder.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLDecoderTest​(String arg0)` | Constructor for XMLDecoderTest.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getStringFromResource​(String resourceName, int maxSize)` |
    `void` | `testDecodeEventsString1()` |
    `void` | `testDecodeEventsString2()` |
    `void` | `testDecodeEventsURL1()` |
    `void` | `testDecodeEventsURL2()` |

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLDecoderTest

          public XMLDecoderTest​(String arg0)

      Constructor for XMLDecoderTest.
      Parameters:
        `arg0` - test name.

  - ### Method Detail

    - #### getStringFromResource

          public String getStringFromResource​(String resourceName,
                                              int maxSize)
                                       throws Exception

      Throws:
        `Exception`

    - #### testDecodeEventsString1

          public void testDecodeEventsString1()
                                       throws Exception

      Throws:
        `Exception`

    - #### testDecodeEventsString2

          public void testDecodeEventsString2()
                                       throws Exception

      Throws:
        `Exception`

    - #### testDecodeEventsURL1

          public void testDecodeEventsURL1()
                                    throws Exception

      Throws:
        `Exception`

    - #### testDecodeEventsURL2

          public void testDecodeEventsURL2()
                                    throws Exception

      Throws:
        `Exception`